Subject: Re: [PATCH v6 0/5] bloom: enable bloom filter optimization for multiple pathspec elements in revision traversal

From: Derrick Stolee <[email-masked]>
Date: Mon, 14 Jul 2025 22:48:33 -0400

On 7/14/2025 9:34 PM, Lidong Yan wrote:
> Derrick Stolee <[email-masked]> wrote:
>>
>> On 7/12/2025 5:35 AM, Lidong Yan wrote:
>>
>>> The difference from v5 is:
>>>  - extract convert pathspec item to bloom_keyvec logic to
>>>    a separate function, which simplifies the prepare_to_use_bloom_filter()
>>>    function.
>>>  - fix few bugs in v5.
>>
>> Thanks for making these changes. Including your fixed patch 5, this
>> version looks ready to me.
>>
>> I wouldn't say "fix a few bugs" but instead "fix some compile-time
>> linting complaints when using DEVELOPER=1" to be clear that the
>> functionality hasn't changed but the code is cleaner.
> 
> I just learned that `make DEVELOPER=1` treats warnings as errors.
> Since this is just a cover letter issue, I feel it might not be worth rerolling
> the patch again.

No need to reroll anything, I think. Junio's got the right
fixups in place.

This was just a comment to help you next time.

Thanks,
-Stolee